Subject: Re: bug#11749: Acknowledgement (24.1; C-mode indentation gives wrong-type-argument error.)

From: Michael Welsh Duggan <[email-masked]>
Date: Wed, 23 Jan 2013 10:39:34 -0500

Alan Mackenzie <[email-masked]> writes:

> Hi, Michael.
>
> On Thu, Jan 17, 2013 at 11:27:04AM -0500, Michael Welsh Duggan wrote:
>> Alan Mackenzie <[email-masked]> writes:
>
>> [This] fixes this case, indeed.  Unfortunately, here's another.
>

[...]

> I think the following patch should fix that glitch.  I've also taken the
> opportunity to simplify things a little (part of the global state was
> being passed needlessly as a parameter) and to rename some variables for
> more consistency.
>
> Would you try this out and confirm it works, as usual, please.

I can confirm that this fixes this particular problem.

> However, this isn't the end of the story - 
>
> (i) Start your test case in rwtransfer.c, and M-v until the top of the
>   file.  (This shouldn't display any inconsistency messages)
> (ii) M-x goto-char <ret> 20001 <ret>.  This should go to EOL 671, just
>   after a "}".
> (iii) Type <space> }.  (Two characters)
> (iv) C-v, possibly twice.
>
> This displays a message something like:
>     c-parse-state inconsistency at 21070: using cache: ((20458 . 20935)),
>     from scratch: ((20838 . 20877))
> , together with a state dump.
>
> This bug isn't a new one, but I've just come across it.  I'll be working
> on it in the meantime.

Oh, good.  I haven't reported any "type stuff" errors I have been
getting because they are harder to reproduce.  (Unless it is triggered
the first time you've typed in the buffer, it's hard to replicate the
exact scenario.)  I usually wait until you've fixed the last thing I
sent in before attempting to report another, just in case the thing you
are fixing is related.

-- 
Michael Welsh Duggan
([email-masked])